on startMovie
  global mlyasai, nasuclick, kyuriclick, kyabeclick, tamaclick, soundcheck
  cursor(4)
  puppetSound(0)
  puppetTempo(60)
  set nasuclick to 0
  set kyuriclick to 0
  set kyabeclick to 0
  set tamaclick to 0
  set soundcheck to 0
  set the volume of sound 1 to 160
  set mlyasai to [:]
  set the visible of sprite 48 to 0
end

on mtimeout
  puppetSprite(3, 0)
  puppetSprite(4, 0)
  puppetSprite(5, 0)
  puppetSprite(6, 0)
  puppetSprite(48, 0)
  sound fadeOut 1, 30
  go("Fade")
end

on mIdle
  puppetSprite(48, 1)
  if the timer >= 90 then
    mchangetext()
    startTimer()
    updateStage()
  else
    nothing()
  end if
end

on mchangetext
  if the castNum of sprite 48 = 55 then
    set the castNum of sprite 48 to 54
    set the visible of sprite 48 to 1
  else
    set the castNum of sprite 48 to 55
  end if
end

on myasaimovie
  global nasuclick, kyuriclick, kyabeclick, tamaclick
  set a to the mouseCast
  if (a = 15) or (a = 16) or (a = 17) then
    cursor([800, 801])
    set the mouseDownScript to "mNasuclick"
  else
    if (a = 8) or (a = 9) or (a = 10) then
      cursor([800, 801])
      set the mouseDownScript to "mKyuriclick"
    else
      if (a = 22) or (a = 23) or (a = 24) then
        cursor([800, 801])
        set the mouseDownScript to "mKyabeclick"
      else
        if (a = 29) or (a = 30) or (a = 31) then
          cursor([800, 801])
          set the mouseDownScript to "mTamaclick"
        else
          if rollOver(1) then
            cursor([800, 801])
            set the mouseDownScript to EMPTY
          else
            cursor(-1)
            set the mouseDownScript to EMPTY
          end if
        end if
      end if
    end if
  end if
  myasaianim()
  mplaysound()
end

on mexit
  set the mouseDownScript to EMPTY
  puppetSprite(3, 0)
  puppetSprite(4, 0)
  puppetSprite(5, 0)
  puppetSprite(6, 0)
  cursor(4)
  go(15)
end

on mnasuclick
  global nasuclick, soundcheck
  set the timeoutLapsed to 0
  set the mouseDownScript to EMPTY
  if nasuclick = 0 then
    puppetSprite(5, 1)
    addProp(mlyasai, #nasu, 5)
    set nasuclick to 1
    set soundcheck to soundcheck + 1000
  else
    puppetSprite(5, 0)
    deleteProp(mlyasai, #nasu)
    set nasuclick to 0
    set soundcheck to soundcheck - 1000
  end if
end

on mkyuriclick
  global kyuriclick, soundcheck
  set the timeoutLapsed to 0
  set the mouseDownScript to EMPTY
  if kyuriclick = 0 then
    msclickkyu()
    puppetSprite(6, 1)
    addProp(mlyasai, #kyuri, 6)
    set kyuriclick to 1
    set soundcheck to soundcheck + 10
  else
    puppetSprite(6, 0)
    deleteProp(mlyasai, #kyuri)
    set kyuriclick to 0
    set soundcheck to soundcheck - 10
  end if
end

on mtamaclick
  global tamaclick, soundcheck
  set the timeoutLapsed to 0
  set the mouseDownScript to EMPTY
  if tamaclick = 0 then
    msclicktama()
    puppetSprite(4, 1)
    addProp(mlyasai, #tama, 4)
    set tamaclick to 1
    set soundcheck to soundcheck + 1
  else
    puppetSprite(4, 0)
    deleteProp(mlyasai, #tama)
    set tamaclick to 0
    set soundcheck to soundcheck - 1
  end if
end

on mkyabeclick
  global kyabeclick, soundcheck
  set the timeoutLapsed to 0
  set the mouseDownScript to EMPTY
  if kyabeclick = 0 then
    msclickkyabe()
    puppetSprite(3, 1)
    addProp(mlyasai, #kyabe, 3)
    set kyabeclick to 1
    set soundcheck to soundcheck + 100
  else
    puppetSprite(3, 0)
    deleteProp(mlyasai, #kyabe)
    set kyabeclick to 0
    set soundcheck to soundcheck - 100
  end if
end

on myasaianim
  global yasaianim1, yasaianim2, mlyasai
  set n to ticks() - 30
  if (yasaianim1 = 0) and (yasaianim2 < n) then
    updateStage()
    repeat with n in mlyasai
      if n = 5 then
        mnasuguitar1()
        next repeat
      end if
      if n = 6 then
        mkyuripiano1()
        next repeat
      end if
      if n = 4 then
        mtamadrum1()
        next repeat
      end if
      if n = 3 then
        mkyabefue1()
        next repeat
      end if
      nothing()
    end repeat
    set yasaianim1 to 1
    set yasaianim2 to ticks()
    updateStage()
  else
    if (yasaianim1 = 1) and (yasaianim2 < n) then
      repeat with n in mlyasai
        if n = 5 then
          mnasuguitar2()
          next repeat
        end if
        if n = 6 then
          mkyuripiano2()
          next repeat
        end if
        if n = 4 then
          mtamadrum2()
          next repeat
        end if
        if n = 3 then
          mkyabefue2()
          next repeat
        end if
        nothing()
      end repeat
      set yasaianim1 to 0
      set yasaianim2 to ticks()
      updateStage()
    else
      nothing()
    end if
  end if
end

on mplaysound
  global soundcheck
  if (soundcheck = 1) and not soundBusy(1) then
    puppetSound("DrumSolo")
    updateStage()
  else
    if (soundcheck = 10) and not soundBusy(1) then
      puppetSound("PianoSolo")
      updateStage()
    else
      if (soundcheck = 100) and not soundBusy(1) then
        puppetSound("FueSolo")
        updateStage()
      else
        if (soundcheck = 1000) and not soundBusy(1) then
          puppetSound("GuitarSolo")
          updateStage()
        else
          if (soundcheck = 1001) and not soundBusy(1) then
            puppetSound("Guitar&Drum")
            updateStage()
          else
            if (soundcheck = 1001) and not soundBusy(1) then
              puppetSound("Guitar&Drum")
              updateStage()
            else
              if (soundcheck = 1010) and not soundBusy(1) then
                puppetSound("Guitar&Piano")
                updateStage()
              else
                if (soundcheck = 1100) and not soundBusy(1) then
                  puppetSound("Guitar&Fue")
                  updateStage()
                else
                  if (soundcheck = 1011) and not soundBusy(1) then
                    puppetSound("Drum&Guitar&Piano")
                    updateStage()
                  else
                    if (soundcheck = 1101) and not soundBusy(1) then
                      puppetSound("Drum&Guitar&Fue")
                      updateStage()
                    else
                      if (soundcheck = 1110) and not soundBusy(1) then
                        puppetSound("Guitar&Fue&Piano")
                        updateStage()
                      else
                        if (soundcheck = 1111) and not soundBusy(1) then
                          puppetSound("All")
                          updateStage()
                        else
                          if (soundcheck = 11) and not soundBusy(1) then
                            puppetSound("Drum&Piano")
                            updateStage()
                          else
                            if (soundcheck = 101) and not soundBusy(1) then
                              puppetSound("Drum&Fue")
                              updateStage()
                            else
                              if (soundcheck = 110) and not soundBusy(1) then
                                puppetSound("Piano&Fue")
                                updateStage()
                              else
                                if (soundcheck = 111) and not soundBusy(1) then
                                  puppetSound("Drum&Fue&Piano")
                                  updateStage()
                                else
                                  nothing()
                                end if
                              end if
                            end if
                          end if
                        end if
                      end if
                    end if
                  end if
                end if
              end if
            end if
          end if
        end if
      end if
    end if
  end if
end

on msclicktama
  global soundcheck
  if soundcheck = 10 then
    puppetSound("Drum&Piano")
    updateStage()
  else
    if soundcheck = 100 then
      puppetSound("Drum&Fue")
      updateStage()
    else
      if soundcheck = 110 then
        puppetSound("Drum&Fue&Piano")
        updateStage()
      else
        puppetSound("DrumSolo")
        updateStage()
      end if
    end if
  end if
end

on msclickkyu
  global soundcheck
  if soundcheck = 1 then
    puppetSound("Drum&Piano")
    updateStage()
  else
    if soundcheck = 100 then
      puppetSound("Piano&Fue")
      updateStage()
    else
      if soundcheck = 101 then
        puppetSound("Drum&Fue&Piano")
        updateStage()
      else
        puppetSound("PianoSolo")
        updateStage()
      end if
    end if
  end if
end

on msclickkyabe
  global soundcheck
  if soundcheck = 1 then
    puppetSound("Drum&Fue")
    updateStage()
  else
    if soundcheck = 10 then
      puppetSound("Piano&Fue")
      updateStage()
    else
      if soundcheck = 11 then
        puppetSound("Drum&Fue&Piano")
        updateStage()
      else
        puppetSound("FueSolo")
        updateStage()
      end if
    end if
  end if
end

on mnasuguitar1
  set the locH of sprite 5 to the locH of sprite 5
  set the castNum of sprite 5 to 16
end

on mnasuguitar2
  set the locH of sprite 5 to the locH of sprite 5
  set the castNum of sprite 5 to 17
end

on mkyuripiano1
  set the locH of sprite 6 to the locH of sprite 6
  set the castNum of sprite 6 to 9
end

on mkyuripiano2
  set the locH of sprite 6 to the locH of sprite 6
  set the castNum of sprite 6 to 10
end

on mtamadrum1
  set the locH of sprite 4 to the locH of sprite 4
  set the castNum of sprite 4 to 30
end

on mtamadrum2
  set the locH of sprite 4 to the locH of sprite 4
  set the castNum of sprite 4 to 31
end

on mkyabefue1
  set the locH of sprite 3 to the locH of sprite 3
  set the castNum of sprite 3 to 23
end

on mkyabefue2
  set the locH of sprite 3 to the locH of sprite 3
  set the castNum of sprite 3 to 24
end
